﻿SET IDENTITY_INSERT [Lookup] ON
GO

MERGE INTO Lookup AS Target 
USING (VALUES 
  (0, 'phone-type', 'home', 'home2'), 
  (1, 'phone-type', 'work', 'work2'), 
  (2, 'phone-type', 'mobile', 'mobile'), 
  (3, 'employee-title', 'ceo', 'ceo'), 
  (4, 'employee-title', 'cto', 'cto'), 
  (5, 'employee-title', 'cio', 'cio'), 
  (6, 'employee-title', 'vp', 'vice president'),
  (7, 'employee-title', 'dir', 'director'),
  (9, 'employee-title', 'janitor', 'janitor')
) 
AS Source (Id, LookupType, LookupKey, LookupValue) 
ON Target.Id = Source.Id
WHEN MATCHED THEN 
	UPDATE SET 
		LookupType = Source.LookupType,
		LookupKey = Source.LookupKey,
		LookupValue = Source.LookupValue
WHEN NOT MATCHED BY TARGET THEN 
	INSERT (Id, LookupType, LookupKey, LookupValue) 
	VALUES (Id, LookupType, LookupKey, LookupValue) 
WHEN NOT MATCHED BY SOURCE THEN 
	DELETE;

GO

SET IDENTITY_INSERT [Lookup] OFF
GO